curl 'https://api.sandbox.uqpay.org/api/v1/cards/products' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": [
{
"product_code": "IC_VSIA_486695",
"product_name": "VSIA 486695"
}
]
}
Products
List Card Products
This endpoint get all activated card products under the current account, choose one when creating a card.
GET
/
api
/
v1
/
cards
/
products
curl 'https://api.sandbox.uqpay.org/api/v1/cards/products' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": [
{
"product_code": "IC_VSIA_486695",
"product_name": "VSIA 486695"
}
]
}
Header
string
required
x-client-id.string
required
Bearer
YOUR_TOKEN_HERE.Parameters
Response
number
Indicates whether the call was successful. 200 if successful, 400 if not.
string
Response Message. “Success” if successful, others not.
curl 'https://api.sandbox.uqpay.org/api/v1/cards/products' \
-H 'x-auth-token: Bearer 0e043e2ec6898b3220a0921466d7c203' \
-H 'x-client-id: Up1HIsjiETPXLy7gON9PMG'
{
"code": 200,
"message": "Success",
"data": [
{
"product_code": "IC_VSIA_486695",
"product_name": "VSIA 486695"
}
]
}